This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1308519 - pytrailer: Provide a Python 3 subpackage
pytrailer: Provide a Python 3 subpackage
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pytrailer (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH 1308520
  Show dependency treegraph
 
Reported: 2016-02-15 07:55 EST by Petr Viktorin
Modified: 2016-08-02 05:04 EDT (History)
4 users (show)

See Also:
Fixed In Version: pytrailer-0.6.1-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-02 05:04:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Pytrailer specfile patch - Python 2/3 support. (4.25 KB, patch)
2016-06-20 06:56 EDT, Lumír Balhar
no flags Details | Diff
Python 2/3 subpackages specfile patch (4.25 KB, patch)
2016-06-20 08:34 EDT, Lumír Balhar
no flags Details | Diff

  None (edit)
Description Petr Viktorin 2016-02-15 07:55:37 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Jan Kurik 2016-02-24 10:20:58 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Dominika Krejčí 2016-04-20 08:14:58 EDT
Hello Stanislav,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/en/latest/index.html
Comment 3 Lumír Balhar 2016-06-20 06:56 EDT
Created attachment 1169844 [details]
Pytrailer specfile patch - Python 2/3 support.

Hello Stanislav.

The dependency of pytrailer package - python-dateutils - is released, so I am providing a patch for the pytrailer specfile.

Could you please look at it and rebuild your package?

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14578761

Have a nice day.
Lumir
Comment 4 Lumír Balhar 2016-06-20 08:34 EDT
Created attachment 1169896 [details]
Python 2/3 subpackages specfile patch

Updating patch.
Comment 5 Lumír Balhar 2016-06-30 05:56:07 EDT
I've also tested it in mock.

I've found that pyqtrailer depends on this package. Could you please do the update of pytrailer? After, it will be easier to help you with packaging pyqtrailer.

Thank you and have a nice day.
Comment 6 Lumír Balhar 2016-07-18 05:45:41 EDT
Hello.

If maintainer has nothing against then we can push this change in few days.

Have a nice day.
Lumir
Comment 7 Stanislav Ochotnicky 2016-07-18 08:01:50 EDT
Feel free to go ahead

Note You need to log in before you can comment on or make changes to this bug.